VERSION 5.00
Begin VB.Form FrmGrilla 
   Caption         =   "Form1"
   ClientHeight    =   8520
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   9075
   LinkTopic       =   "Form1"
   ScaleHeight     =   8520
   ScaleWidth      =   9075
   StartUpPosition =   3  'Windows Default
   Begin Proyecto1.ScrollControl ScrollControl1 
      Height          =   5055
      Left            =   0
      TabIndex        =   1
      TabStop         =   0   'False
      Top             =   0
      Width           =   4095
      _ExtentX        =   7223
      _ExtentY        =   8916
      Begin VB.TextBox Text1 
         Height          =   375
         Index           =   1
         Left            =   0
         TabIndex        =   0
         Text            =   "Text1"
         Top             =   0
         Width           =   3375
      End
   End
End
Attribute VB_Name = "FrmGrilla"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' ------------------------------------------------------
' Autor:    Leandro I. Ascierto
' Web:      www.leandroascierto.com.ar
' Fecha:    21 de Marzo de 2010
' ------------------------------------------------------

Private Const COLUMN    As Long = 8
Private Const ROW       As Long = 50
Private CellsCount      As Long

Private Sub Form_Load()

    Dim i As Long
    Dim X As Long
    Dim Y As Long
    
    CellsCount = ROW * COLUMN
    
    For i = 1 To CellsCount
        If i > 1 Then Load Text1(i)
        Text1(i).Visible = True
        Text1(i).Move X, Y
        Text1(i).Text = i
        Y = Y + Text1(1).Height - (1 * Screen.TwipsPerPixelY)
        
        If i Mod ROW = 0 Then
            X = X + Text1(1).Width - (1 * Screen.TwipsPerPixelX)
            Y = 0
        End If
    Next
End Sub

Private Sub Form_Resize()
    If Not Me.WindowState = vbMinimized Then
        ScrollControl1.Move 0, 0, Me.ScaleWidth, Me.ScaleHeight
    End If
End Sub

Private Sub Text1_GotFocus(Index As Integer)
    ScrollControl1.Refresh
    Text1(Index).BackColor = &H99FFCC
End Sub

Private Sub Text1_KeyDown(Index As Integer, KeyCode As Integer, Shift As Integer)

    Dim SelectedIndex As Long
    
    Select Case KeyCode
        Case vbKeyDown
            If Index <> CellsCount Then SelectedIndex = Index + 1
        Case vbKeyUp
            If Index > 1 Then SelectedIndex = Index - 1
        Case vbKeyRight
            If Index + ROW < CellsCount Then SelectedIndex = Index + ROW
        Case vbKeyLeft
            If Index - ROW > 0 Then SelectedIndex = Index - ROW
    End Select
    
    If SelectedIndex > 0 Then
        With Text1(SelectedIndex)
            .SelStart = 0
            .SelLength = Len(.Text)
            .SetFocus
        End With
    End If

End Sub

Private Sub Text1_LostFocus(Index As Integer)
    Text1(Index).BackColor = &H80000005
    Text1(Index).Refresh
End Sub


